class Constants {
  Constants._();

  /// Title of the app
  static const String appTitle = 'Cofounderella';
  static const String appVersion = '1.0.5';
  static const String appCompilationDate = '2024-08-16';

  static const int maxSectors = 10;
  static const int maxSkills = 5;

  static const String dbCollectionFeedbacks = 'feedbacks';
  static const String dbCollectionUsers = 'Users';
  static const String dbCollectionLanguages = 'languages';
  static const String dbCollectionLocations = 'locations';
  static const String dbCollectionMatches = 'matches';
  static const String dbCollectionSwipes = 'swipes';
  static const String dbCollectionChatRooms = 'chat_rooms';
  static const String dbCollectionMessages = 'messages';

  static const String dbDocMainLocation = 'main';
  static const String dbDocSecondLocation = 'secondary';

  static const String dbFieldLocationLatitude = 'latitude';
  static const String dbFieldLocationLongitude = 'longitude';
  static const String dbFieldLocationStreet = 'street';
  static const String dbFieldLocationCountry = 'country';
  static const String dbFieldLocationArea = 'administrativeArea';
  static const String dbFieldLocationLocality = 'locality';
  static const String dbFieldLocationSubLocality = 'subLocality';
  static const String dbFieldLocationPostalCode = 'postalCode';

  static const String dbFieldMessageText = 'message';
  static const String dbFieldMessageReceiverId = 'receiverID';
  static const String dbFieldMessageSenderId = 'senderID';
  static const String dbFieldMessageSenderEmail = 'senderEmail';
  static const String dbFieldMessageTimestamp = 'timestamp';

  static const String dbFieldSwipesSwipedId = 'swipedId';
  static const String dbFieldSwipesLike = 'liked';
  static const String dbFieldSwipesTimestamp = 'timestamp';

  static const String dbFieldUsersID = 'uid';
  static const String dbFieldUsersEmail = 'email';
  static const String dbFieldUsersName = 'name';
  static const String dbFieldUsersFirstName = 'firstname';
  static const String dbFieldUsersLastName = 'lastname';
  static const String dbFieldUsersActive = 'active';
  static const String dbFieldUsersVerified = 'verified';
  static const String dbFieldUsersBio = 'bio';
  static const String dbFieldUsersGender = 'gender';
  static const String dbFieldUsersYearBorn = 'born';
  static const String dbFieldUsersProfilePic = 'profilePictureUrl';
  static const String dbFieldUsersSkills = 'skills';
  static const String dbFieldUsersSkillsSought = 'skills_sought';
  static const String dbFieldUsersAvailability = 'availability';
  static const String dbFieldUsersVisions = 'visions';
  static const String dbFieldUsersWorkValues = 'work_values';
  static const String dbFieldUsersCorpCulture = 'corp_culture';
  static const String dbFieldUsersCommunication = 'communication';
  static const String dbFieldUsersRiskTolerance = 'risk_tolerance';
  static const String dbFieldUsersSectors = 'sectors_of_interest';
  static const String dbFieldUsersUrlFacebook = 'url_facebook';
  static const String dbFieldUsersUrlLinkedIn = 'url_linkedin';
  static const String dbFieldUsersUrlXing = 'url_xing';

  static const String dbStoragePathProfiles = 'profile_images';

  static const String pathLanguagesJson = 'lib/assets/languages.json';

  static const String prefKeyThemeDarkMode = 'theme_dark_mode';
  static const String prefKeySameCountry = 'match_same_country';
}
